Name:          python-importlib_metadata
Version:       3.4.0
Release:       1mamba
Summary:       A library to access the metadata for a Python package
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://importlib-metadata.readthedocs.io/en/latest/
Source:        https://pypi.debian.net/importlib-metadata/importlib_metadata-%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Requires:     python-zipp%{?pyappend:-%pyappend}
Requires:     python-typing_extensions%{?pyappend:-%pyappend}
%pyver_package
%endif

%prep
%setup -q -n importlib_metadata-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%posttrans
find %{python_sitearch}/site-packages/*.egg-info -type d -empty -exec rmdir {} \;
:

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Mon Jan 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.0-1mamba
- update to 3.4.0

* Fri Sep 25 2020 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic update by autodist

* Thu Jan 16 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1mamba
- package created using the webbuild interface
